> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Configure



## OpenAPI

````yaml /openapi.json put /v1/workspaces/{workspaceId}/projects/{projectId}/areas/configuration
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/areas/configuration:
    put:
      tags:
        - Project Areas
      summary: Configure
      operationId: ProjectAreasController_configure_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProjectAreaConfigurationDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectAreaMutationResponseDto'
      security:
        - bearer: []
components:
  schemas:
    UpdateProjectAreaConfigurationDto:
      type: object
      properties:
        version:
          anyOf:
            - type: integer
              minimum: 0
              maximum: 9007199254740991
            - type: 'null'
        levels:
          minItems: 1
          maxItems: 4
          type: array
          items:
            type: object
            properties:
              key:
                anyOf:
                  - type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  - type: 'null'
              singularLabel:
                type: string
                minLength: 1
                maxLength: 40
              pluralLabel:
                type: string
                minLength: 1
                maxLength: 40
            required:
              - key
              - singularLabel
              - pluralLabel
            additionalProperties: false
      required:
        - version
        - levels
      additionalProperties: false
    ProjectAreaMutationResponseDto:
      type: object
      properties:
        version:
          type: number
        affectedAreaId:
          type: string
          nullable: true
      required:
        - version
        - affectedAreaId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````